Subject: bug#32459: Strace 4.24 doesn't build

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Thu, 16 Aug 2018 20:14:19 +0200

Clément,

Clément Lassieur wrote:
> Strace 4.24 doesn't build (on my machine).
>
> Once I had:
>
>     FAIL: trace_personality_32.gen.test
>
> And another time:
>
>     FAIL: trace_personality_regex_32.gen.test
>     FAIL: trace_stat_like.gen.test
>     FAIL: trace_stat.gen.test
>     FAIL: trace_statfs_like.gen.test
>     FAIL: trace_question.gen.test
>
> And a third time:
>
>     FAIL: trace_personality_regex_x32.gen.test
>     FAIL: trace_personality_64.gen.test
>
> So it's undeterministic.

Thanks for the report. I can't reproduce this failure.

I've successfully built[0] [email-masked] five times so far, on a 
modest 4-core x86-64 machine. All builds are bit-identical.

Does disabling build and/or test parallelism make a difference?

Kind regards,

T G-R

[0]: /gnu/store/9pxi8mhvcrd9wlllfsl2rs104qc38z8r-strace-4.24